Draft Ellipse/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
(4 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Circle|Circle]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Arc.svg
|IconL=Draft_Circle.svg
|IconR=Draft_Polygon.svg
|IconR=Draft_Rectangle.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft_Ellipse|Name/cs=Kreslení Elipsa|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení -> Elipsa|Shortcut=E L|SeeAlso=[[Draft Circle/cs|Kreslení Kružnice]]}}
{{GuiCommand/cs|Name=Draft_Ellipse|Name/cs=Kreslení Elipsa|Workbenches=[[Draft_Workbench/cs|Kreslení]], [[Arch_Workbench/cs|Architektura]]|MenuLocation=Kreslení -> Elipsa|Shortcut=E L|SeeAlso=[[Draft Circle/cs|Kreslení Kružnice]]}}
</div>
</div>


Line 19: Line 20:
</div>
</div>


A Draft Ellipse can be turned into an elliptical arc by setting its {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} properties to different values.
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle|Draft Circle]] and [[Draft Arc|Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline|Draft BSpline]] and [[Draft BezCurve|Draft BezCurve]] tools.


[[Image:Draft_ellipse_example.jpg|400px]]
[[Image:Draft_ellipse_example.jpg|400px]]
Line 26: Line 27:
</div>
</div>


==Usage==
==Usage==

See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Použití==
==Použití==
# Stiskněte tlačítko {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse|Elipsa]]}} nebo klávesy {{KEY|E}} pak {{KEY|L}}
# Stiskněte tlačítko {{KEY|[[Image:Draft Ellipse.png|16px]] [[Draft Ellipse|Elipsa]]}} nebo klávesy {{KEY|E}} pak {{KEY|L}}
# Klikněte na první bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]]
# Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
# Klikněte na druhý bod ve 3D pohledu nebo zadejte [[Draft_Coordinates|souřadnice]].
# Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.
</div>
</div>

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.


==Volby==
==Volby==

The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 48: Line 51:
* Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.
* Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.
</div>
</div>

==Notes==

* A Draft Ellipse can be edited with the [[Draft_Edit|Draft Edit]] command.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the number of decimals used for the input of coordinates: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.
* To change the initial value of filled mode: {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible}}. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
* If the {{MenuCommand|Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available}} option is checked, the command will create a [[Part_Ellipse|Part Ellipse]] instead of a Draft Ellipse.


==Vlastnosti==
==Vlastnosti==


See also: [[Property_editor|Property editor]].
An Ellipse object shares many properties with a [[Draft Circle|Draft Circle]], but some properties only make sense for the ellipse.

A Draft Ellipse object is derived from a [[Part_Part2DObject|Part Part2DObject]] and inherits all its properties. It also has the following additional properties:

===Data===

{{TitleProperty|Draft}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 61: Line 82:


===View===
===View===

* {{PropertyView|Pattern}}: specifies a [[Draft Pattern|Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
{{TitleProperty|Draft}}
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern|Draft Pattern]].

* {{PropertyView|Pattern|Enumeration}}: specifies the [[Draft_Pattern|Draft Pattern]] with which to fill the face of the ellipse. This property only works if {{PropertyData|Make Face}} is {{TRUE}} and if {{PropertyView|Display Mode}} is {{value|Flat Lines}}.
* {{PropertyView|Pattern Size|Float}}: specifies the size of the [[Draft_Pattern|Draft Pattern]].

==Scripting==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 69: Line 95:
</div>
</div>


To create a Draft Ellipse use the {{incode|make_ellipse}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeEllipse}} method.
The Ellipse tool can by used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
}}
}}


Line 82: Line 109:


Příklad:
Příklad:

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
Ellipse1 = Draft.makeEllipse(3000, 200)
Ellipse2 = Draft.makeEllipse(700, 1000)


ellipse1 = Draft.make_ellipse(3000, 200)
ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
ellipse2 = Draft.make_ellipse(700, 1000)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))


zaxis = App.Vector(0, 0, 1)
Ellipse3 = Draft.makeEllipse(700, 1000, placement=place3)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()
}}
}}



{{Docnav
{{Docnav
|[[Draft_Arc|Arc]]
|[[Draft_Circle|Circle]]
|[[Draft_Rectangle|Rectangle]]
|[[Draft_Polygon|Polygon]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Arc.svg
|IconL=Draft_Circle.svg
|IconR=Draft_Polygon.svg
|IconR=Draft_Rectangle.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg
}}
}}
Line 106: Line 140:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 15:49, 4 November 2021

Kreslení Elipsa

Umístění Menu
Kreslení -> Elipsa
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
E L
Představen ve verzi
-
Viz také
Kreslení Kružnice

Popis

Nástroj Elipsa vytvoří elipsu v aktuální pracovní rovině vložením dvou bodů definujících roh obdélníku, kterému je elipsa vepsána. Elipsa přebírá barvu a tloušťku čáry předem nastavenou v záložce úloh.

A Draft Ellipse can be turned into an elliptical arc by setting its ÚdajeFirst Angle and ÚdajeLast Angle properties to different values.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Použití

  1. Stiskněte tlačítko Elipsa nebo klávesy E pak L
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

Volby

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Chcete-li zadat souřadnice ručně jednoduše zadejte číslo a potom stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo klikněte na zaklikávací políčko pro zatrhnutí nebo odtrhnutí tlačítka Pokračovat. Je-li nastaven pokračovací mód, bude nástroj Elipsa hned po zadání druhého bodu připraven ke kreslení další elipsy bez nutnosti stisknout znovu tlačítko Elipsa.
  • Stisknutím klávesy CTRL během kreslení vynutíte přichycení vašeho bodu k nejbližšímu uchopovacímu místu nezávisle na vzálenosti od něho.
  • Stisknutím klávesy SHIFT během kreslení nastavíte vazbu vašeho bodu svisle nebo vodorovně v relaci k předchozímu bodu.
  • Stisknutím klávesy I nebo tlačítka Vyplnit bude se elipsa po uzavření jevit jako povrch (vyplněná). Tak se jednoduše nastaví Pohled->Vlastnosti elipsy na "Flat přímky" nebo "Drátový model", což může být nastaveno i později.
  • Stisknutím tlačítka ESC nebo Cancel zrušíte právě probíhající příkaz.
  • Elipsy v zobrazovacím módu "Flat přímky" mohou mít šrafování podle nastavení jejich vlastnosti "Vzor" níže.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.

Vlastnosti

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • ÚdajeVelký poloměr: Velký poloměr elipsy
  • ÚdajeMalý poloměr: Malý poloměr elipsy
  • PohledVzor: Určuje šrafovací vzor, kterým má elipsa být vyplněna
  • PohledRozměr vzoru: Určuje velikost šrafovacího vzoru

View

Draft

  • PohledPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if ÚdajeMake Face is true and if PohledDisplay Mode is Flat Lines.
  • PohledPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Skriptování

Nástroj Elipsa může být využit v makrech a z konzoly Pythonu použitím následující funkce:

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Vytvoří elipsu s daným velkým (majorradius) a malým(minorradius) poloměrem.
  • Je-li zadán placement (umístění), bude využito.
  • Je-li facemode False, bude se elipsa zobrazovat jako drátový model, jinak jako plocha.
  • Vrací nově vytvořený pohled.

Příklad:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()